Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jts.extensions
Class TopLevelTransaction

    java.lang.Object
      com.arjuna.ats.jts.extensions.AtomicTransaction
          com.arjuna.ats.jts.extensions.TopLevelTransaction

public class TopLevelTransaction
extends AtomicTransaction

Creates a nested top-level transaction.

Since:
  JTS 1.0.
Version:
  $Id: TopLevelTransaction.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark_little@hp.com)

Field Summary

Fields inherited from class com.arjuna.ats.jts.extensions.AtomicTransaction
`_theAction, _theStatus, _timeout, NESTED, TOP_LEVEL`

Constructor Summary
`TopLevelTransaction()`

Method Summary
`void` | `begin()` If nested top-level transaction, save current context for resumption later.
`void` | `commit(boolean report_heuristics)`
`void` | `finalize()`
`void` | `rollback()`

Methods inherited from class com.arjuna.ats.jts.extensions.AtomicTransaction
`control, equals, get_status, get_timeout, get_transaction_name, get_txcontext, get_uid, getStatus, getTimeout, hashCode, registerResource, registerSubtranAware, registerSynchronization, resume, rollbackOnly, set_timeout, suspend, validTransaction`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopLevelTransaction

    public TopLevelTransaction()

Method Detail

### finalize

    public void finalize()

  Overrides:
    `finalize` in class `AtomicTransaction`

### begin

    public void begin()
               throws org.omg.CORBA.SystemException,
                      org.omg.CosTransactions.SubtransactionsUnavailable

  If nested top-level transaction, save current context for resumption later.

  Overrides:
    `begin` in class `AtomicTransaction`
  Throws:
    `org.omg.CosTransactions.SubtransactionsUnavailable` - if subtransactions have been disabled, and the invoking thread already has a transaction associated with it.
    `org.omg.CORBA.SystemException`

### commit

    public void commit(boolean report_heuristics)
                throws org.omg.CORBA.SystemException,
                       org.omg.CosTransactions.NoTransaction,
                       org.omg.CosTransactions.HeuristicMixed,
                       org.omg.CosTransactions.HeuristicHazard,
                       org.omg.CosTransactions.WrongTransaction

  Overrides:
    `commit` in class `AtomicTransaction`
  Throws:
    `org.omg.CORBA.SystemException`
    `org.omg.CosTransactions.NoTransaction`
    `org.omg.CosTransactions.HeuristicMixed`
    `org.omg.CosTransactions.HeuristicHazard`
    `org.omg.CosTransactions.WrongTransaction`

### rollback

    public void rollback()
                  throws org.omg.CORBA.SystemException,
                         org.omg.CosTransactions.NoTransaction,
                         org.omg.CosTransactions.WrongTransaction

  Overrides:
    `rollback` in class `AtomicTransaction`
  Throws:
    `org.omg.CORBA.SystemException`
    `org.omg.CosTransactions.NoTransaction`
    `org.omg.CosTransactions.WrongTransaction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD